{% extends 'layouts/ikdoeict-tasks.twig' %}

{% block pageContent %}
    <div class="panel panel-default">
        <div class="panel-heading">
            Nieuwe taak
        </div>
        <div class="panel-body">
            <!-- Display Validation Errors -->
            {% include 'partials/errors.twig' %}

            <!-- New Task Form -->
            <form action="/tasks/create" method="POST" class="form-horizontal">
                <!-- Task Name -->
                <div class="form-group">
                    <label for="what" class="col-sm-3 control-label">Taak</label>
                    <div class="col-sm-9">
                        <input type="text" name="what" id="what" class="form-control" value="{{ what }}">
                    </div>
                </div>
                <div class="form-group">
                    <label for="priority" class="col-sm-3 control-label">Prioriteit</label>
                    <div class="col-sm-9">
                        <select name="priority" id="priority" class="form-control">
                            <option value="low"{% if priority == 'low'%} selected="selected"{% endif %}>low</option>
                            <option value="normal"{% if priority == 'normal'%} selected="selected"{% endif %}>normal</option>
                            <option value="high"{% if priority == 'high'%} selected="selected"{% endif %}>high</option>
                        </select>
                    </div>
                </div>
                <input type="hidden" name="moduleAction" value="add" />
                <!-- Add Task Button -->
                <div class="form-group">
                    <div class="col-sm-offset-3 col-sm-6">
                        <button type="submit" class="btn btn-default">
                            <i class="fa fa-btn fa-plus"></i>Voeg taak toe
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <!-- Current Tasks -->
    <div class="panel panel-default">
        <div class="panel-heading">
            Huidige taken
        </div>
        <div class="panel-body">

            <table class="table table-striped task-table" >
                <thead>
                <tr>
                    <th class="col-sm-8">Taak</th>
                    <th class="col-sm-2">&nbsp;</th>
                    <th class="col-sm-2">&nbsp;</th>
                </tr>
                </thead>
                <tbody>

                {% for task in tasks %}

                <tr>
                    <td class="table-text">
                        <div class="item {{ task.priority }}">{{ task.name }}</div>
                    </td>
                    <td>
                        <a class="btn btn-primary" href="/tasks/{{ task.id }}/edit" role="button">
                            <i class="fa fa-btn fa-pencil"></i>Wijzigen
                        </a>
                    </td>
                    <td>
                        <a class="btn btn-danger" href="/tasks/{{ task.id }}/delete" role="button">
                            <i class="fa fa-btn fa-trash"></i>Verwijderen
                        </a>
                    </td>
                </tr>

                {% endfor %}

                </tbody>
            </table>
        </div>
    </div>
{% endblock %}

{% block myScripts %}
    <script src="/js/index.js"></script>
{% endblock %}